Unusual Whales UnusualWhales API

Information

GET https://api.unusualwhales.com/api/etfs/{ticker}/info

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

ticker SingleTicker required

A single ticker

Example: AAPL

Responses

200 422 500

Response Body 200 OK

aum Etf AUM

The total assets under management (AUM) of the ETF.

Example: 428887833900
avg30_volume Stock Average 30 Day Volume

The avg stock volume for the stock last 30 days.

Example: 55973002
call_vol Market General Call Volume

The sum of the size of all the call transactions that executed.

Example: 990943
description Etf Description

Information about the ETF.

Example: The Trust seeks to achieve its investment objective by holding a portfolio of the common stocks that are included in the index (the “Portfolio”), with the weight of each stock in the Portfolio substantially corresponding to the weight of such stock in the index.
domicile Etf Domicile

The domicile of the ETF.

Example: US
etf_company Etf Company

The company which oversees the ETF.

Example: SPDR
expense_ratio Etf Expense Ratio

The expense ratio of the ETF.

Example: 0.0945
has_options Stock Has Options

Boolean flag whether the company has options.

Example: true
holdings_count Etf Holdings Count

The amount of holdings the ETF has.

Example: 503
inception_date Etf Inception Date

The inception date of the ETF as an ISO date.

Example: 1993-01-22
name Etf Full Name

The full name of the ETF.

Example: SPDR S&P 500 ETF Trust
opt_vol Etf Total Volume

The total options volume traded for the last trading day.

Example: 533227
put_vol Market General Put Volume

The sum of the size of all the put transactions that executed.

Example: 808326
stock_vol Stock Day Stock Volume

The volume of the ticker for the trading day.

Example: 23132119
website Etf Website Url

A link to the website of the ETF.

Example: https://www.ssga.com/us/en/institutional/etfs/funds/spdr-sp-500-etf-trust-spy
Try It GET
Path Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/etfs/{ticker}/info" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": {
    "aum": "428887833900",
    "avg30_volume": "73784934",
    "call_vol": 284364,
    "description": "The Trust seeks to achieve its investment objective by holding a portfolio of the common stocks that are included in the index (the “Portfolio”), with the weight of each stock in the Portfolio substantially corresponding to the weight of such stock in the index.",
    "domicile": "US",
    "etf_company": "SPDR",
    "expense_ratio": "0.0945",
    "has_options": true,
    "holdings_count": 503,
    "inception_date": "1993-01-22",
    "name": "SPDR S&P 500 ETF Trust",
    "opt_vol": 533227,
    "put_vol": 248863,
    "stock_vol": 4348819,
    "website": "https://www.ssga.com/us/en/institutional/etfs/funds/spdr-sp-500-etf-trust-spy"
  }
}